> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Registration

> The Create Registration API allows users to create a new registration
    for tracking and managing tax filings efficiently across multiple jurisdictions.



## OpenAPI

````yaml post /v1/registrations
openapi: 3.0.0
info:
  title: Tax Platform
  version: 1.0.0
servers:
  - url: https://api.trykintsugi.com
    description: Production API server URL
security: []
paths:
  /v1/registrations:
    post:
      tags:
        - Registrations
      summary: Create Registration
      description: |-
        The Create Registration API allows users to create a new registration
            for tracking and managing tax filings efficiently across multiple jurisdictions.
      operationId: create_registration_v1_registrations_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/RegistrationCreatePayload'
                - $ref: '#/components/schemas/OSSRegistrationCreatePayload'
                - $ref: '#/components/schemas/SSTRegistrationCreatePayload'
              discriminator:
                propertyName: registration_import_type
                mapping:
                  REGULAR:
                    $ref: '#/components/schemas/RegistrationCreatePayload'
                  OSS:
                    $ref: '#/components/schemas/OSSRegistrationCreatePayload'
                  SST:
                    $ref: '#/components/schemas/SSTRegistrationCreatePayload'
              title: Create Registration
            examples:
              regular_legacy:
                summary: Regular Jurisdiction Import Example (Legacy Format)
                value:
                  registration_date: '2025-02-01'
                  registration_email: example@domain.com
                  country_code: US
                  state_code: TX
                  state_name: Texas
                  filing_frequency: MONTHLY
                  auto_registered: true
                  amount_fees: 100
                  comment: Registering for monthly sales tax filings
                  initial_sync: false
              regular_new:
                summary: Regular Jurisdiction Import Example (New Format)
                value:
                  registration_import_type: REGULAR
                  registration_date: '2025-02-01'
                  registration_email: example@domain.com
                  country_code: US
                  state_code: TX
                  state_name: Texas
                  filing_frequency: MONTHLY
                  auto_registered: true
                  amount_fees: 100
                  comment: Registering for monthly sales tax filings
                  initial_sync: false
              oss:
                summary: OSS Import Example
                value:
                  registration_import_type: OSS
                  member_state_of_identification_code: FR
                  username: oss_user_fr
                  password_plain_text: oss_pass_fr
                  password_metadata_plain_text: '{"q":"a"}'
                  imported: true
              sst:
                summary: SST Import Example
                value:
                  registration_import_type: SST
                  username: sst_user
                  password_plain_text: sst_pass
                  password_metadata_plain_text: '{"q":"a"}'
      responses:
        '200':
          description: Successfully created registration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistrationRead'
              example:
                registration_date: '2025-02-01'
                registration_email: example@domain.com
                status: REGISTERED
                registration_requested: '2025-02-18T19:43:32.684802'
                auto_registered: true
                country_code: US
                state_code: AR
                state_name: Arizona
                filing_frequency: MONTHLY
                comment: Registering for monthly sales tax filings
                initial_sync: false
                amount_fees: '100.00'
                vda: false
                id: regs_shaGJSHHr4YXg
        '401':
          description: Unauthenticated request.
          content:
            application/json:
              example:
                detail: The request is missing a valid x-api-key.
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Registration already exists
          content:
            application/json:
              example:
                detail: >-
                  Duplicate registration is not allowed for state_code: AR and
                  country_code: US and organization: orgn_BoogPqWD6wioF
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              example:
                detail:
                  - type: missing
                    loc:
                      - header
                      - x-organization-id
                    msg: Field required
              schema:
                $ref: >-
                  #/components/schemas/backend__src__registrations__responses__ValidationErrorResponse
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                detail: An unexpected error occurred
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyHeader: []
          CustomHeader: []
components:
  schemas:
    RegistrationCreatePayload:
      properties:
        registration_import_type:
          type: string
          title: Registration Import Type
          description: Specifies this is a regular jurisdiction registration import.
          default: REGULAR
        registration_date:
          description: 'The date when the registration was created. Format: YYYY-MM-DD.'
          type: string
        registration_email:
          description: Email address associated with the registration.
          type: string
        registration_key:
          description: A unique key assigned to the registration.
          type: string
        deregistration_key:
          description: A unique key assigned for deregistration.
          type: string
        registration_requested:
          description: Timestamp when the registration was requested.
          type: string
        registration_completed:
          description: Timestamp when the registration was completed.
          type: string
        deregistration_requested:
          description: Timestamp when deregistration was requested.
          type: string
        deregistration_completed:
          description: Timestamp when the deregistration was completed.
          type: string
        auto_registered:
          description: Indicates whether the registration was completed automatically.
          default: false
          type: boolean
        do_not_file:
          type: boolean
          title: Do Not File
          description: >-
            If true, do not file for this registration (treated as False by
            default).
          default: false
        registrations_regime:
          $ref: '#/components/schemas/RegistrationsRegimeEnum'
          description: The tax registration regime (e.g., STANDARD, SIMPLIFIED).
        change_regime_status:
          $ref: '#/components/schemas/ChangeRegimeStatusEnum'
        country_code:
          $ref: '#/components/schemas/CountryCodeEnum'
          description: >-
            The country code (ISO 3166-1 alpha-2 format) where the registration
            applies.
        state_code:
          type: string
          title: State Code
          description: The state/province code where the registration applies.
        state_name:
          type: string
          title: State Name
          description: The name of the state/province.
        filing_frequency:
          $ref: '#/components/schemas/FilingFrequencyEnum'
          description: >-
            Specifies how often tax filings should be made. Possible values:
            MONTHLY, QUARTERLY, ANNUALLY, UNKNOWN.
        username:
          description: Username for accessing tax registration details.
          type: string
        comment:
          description: Additional comments related to the registration.
          type: string
        create_filings_from:
          description: >-
            The date from which filings should be created. should start
            (YYYY-MM-DD).
          type: string
        initial_sync:
          description: Indicates whether an initial synchronization should be performed.
          default: false
          type: boolean
        amount_fees:
          description: The amount of fees associated with the registration.
          default: '0.00'
          type: number
        vda:
          description: Indicates whether a Voluntary Disclosure Agreement (VDA) applies.
          default: false
          type: boolean
        imported:
          description: Whether the registration was imported from another system.
          type: boolean
        sales_tax_id:
          description: The sales tax ID associated with the registration.
          type: string
        sst_import:
          description: Indicates whether the registration is an SST Import.
          default: false
          type: boolean
        tax_id:
          description: >-
            Organization-level tax ID (e.g., VAT number, Canada Business
            Number).
          type: string
        password_plain_text:
          description: The plaintext password for accessing the tax registration account.
          type: string
        password_metadata_plain_text:
          description: Metadata related to the password.
          type: string
      type: object
      required:
        - country_code
        - state_code
        - state_name
        - filing_frequency
      title: RegistrationCreatePayload
    OSSRegistrationCreatePayload:
      properties:
        registration_import_type:
          type: string
          title: Registration Import Type
          description: Specifies this is an OSS registration import.
          default: OSS
        password_plain_text:
          description: The plaintext password for accessing the tax registration account.
          type: string
        password_metadata_plain_text:
          description: Metadata related to the password.
          type: string
        member_state_of_identification_code:
          $ref: '#/components/schemas/CountryCodeEnum'
          description: >-
            If importing an OSS registration, specify the Member State of
            Identification.
        imported:
          type: boolean
          title: Imported
          description: Whether the registration was imported from another system.
          default: false
      type: object
      title: OSSRegistrationCreatePayload
    SSTRegistrationCreatePayload:
      properties:
        registration_import_type:
          type: string
          title: Registration Import Type
          description: Specifies this is an SST registration import.
          default: SST
        password_plain_text:
          description: The plaintext password for accessing the tax registration account.
          type: string
        password_metadata_plain_text:
          description: Metadata related to the password.
          type: string
        username:
          description: Username for accessing the tax registration account.
          type: string
      type: object
      title: SSTRegistrationCreatePayload
    RegistrationRead:
      properties:
        registration_date:
          description: 'The date when the registration was created. Format: YYYY-MM-DD.'
          type: string
        registration_email:
          description: Email address associated with the registration.
          type: string
        registration_key:
          description: A unique key assigned to the registration.
          type: string
        deregistration_key:
          description: A unique key assigned for deregistration.
          type: string
        registration_requested:
          description: Timestamp when the registration was requested.
          type: string
        registration_completed:
          description: Timestamp when the registration was completed.
          type: string
        deregistration_requested:
          description: Timestamp when deregistration was requested.
          type: string
        deregistration_completed:
          description: Timestamp when the deregistration was completed.
          type: string
        auto_registered:
          description: Indicates whether the registration was completed automatically.
          default: false
          type: boolean
        registrations_regime:
          $ref: '#/components/schemas/RegistrationsRegimeEnum'
          description: The tax registration regime (e.g., STANDARD, SIMPLIFIED).
        change_regime_status:
          $ref: '#/components/schemas/ChangeRegimeStatusEnum'
        third_party_enabled:
          description: >-
            Indicates whether third-party access is enabled for this
            registration.
          default: false
          type: boolean
        do_not_file:
          type: boolean
          title: Do Not File
          description: >-
            If true, do not file for this registration (treated as False by
            default).
          default: false
        two_factor_enabled:
          description: >-
            Indicates whether two-factor authentication (2FA) is enabled for
            this registration.
          type: boolean
        marked_collecting:
          description: >-
            Indicates whether the  registration is marked as collecting in
            shopify
          type: boolean
        status:
          $ref: '#/components/schemas/RegistrationStatusEnum'
          description: >-
            The current status of the registration. Possible values: REGISTERED,
            PROCESSING, UNREGISTERED, DEREGISTERING, DEREGISTERED, VALIDATING,
            AWAITING_CLARIFICATION.
        country_code:
          $ref: '#/components/schemas/CountryCodeEnum'
          description: >-
            The country code (ISO 3166-1 alpha-2 format) where the registration
            applies.
        state_code:
          type: string
          title: State Code
          description: The state/province code where the registration applies.
        state_name:
          type: string
          title: State Name
          description: The name of the state/province.
        filing_frequency:
          $ref: '#/components/schemas/FilingFrequencyEnum'
          description: |-
            Specifies how often tax filings should be made.
                                                            Possible values: MONTHLY, QUARTERLY, ANNUALLY, UNKNOWN.
        username:
          description: Username for accessing tax registration details.
          type: string
        comment:
          description: Additional comments related to the registration.
          type: string
        create_filings_from:
          description: |-
            The date from which filings should be created.
                    should start (YYYY-MM-DD).
          type: string
        initial_sync:
          description: Indicates whether an initial synchronization should be performed.
          default: false
          type: boolean
        amount_fees:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Amount Fees
          description: The amount of fees associated with the registration.
          default: '0.00'
        vda:
          description: Indicates whether a Voluntary Disclosure Agreement (VDA) applies.
          default: false
          type: boolean
        imported:
          description: Whether the registration was imported from another system.
          type: boolean
        sales_tax_id:
          description: The sales tax ID associated with the registration.
          type: string
        sst_import:
          description: Indicates whether the registration is an SST Import.
          default: false
          type: boolean
        oss_type:
          $ref: '#/components/schemas/OssTypeEnum'
          description: >-
            The type of OSS registration. Should be filled for ZZ_EU OSS
            registrations.
        oss_member_state_of_identification_code:
          $ref: '#/components/schemas/CountryCodeEnum'
          description: The Member State of Identification code for OSS registrations.
        marked_collecting_date:
          description: The date when the registration was marked as collecting.
          type: string
        needs_mark_as_collecting:
          description: Indicates whether the registration needs to be marked as collecting.
          default: false
          type: boolean
        id:
          type: string
          title: Id
          description: The unique identifier for the registration.
        credits_total_available:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Credits Total Available
          default: '0.00'
        registration_category:
          $ref: '#/components/schemas/RegistrationCategoryEnum'
          description: >-
            The category of the registration. Possible values: REGULAR,
            IMPORTED, DEREGISTRATION.
          default: REGULAR
        filing_days:
          type: integer
          title: Filing Days
          readOnly: true
        registration_type:
          $ref: '#/components/schemas/RegistrationTypeEnum'
          readOnly: true
      type: object
      required:
        - status
        - country_code
        - state_code
        - state_name
        - filing_frequency
        - id
        - filing_days
        - registration_type
      title: RegistrationRead
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorResponse
    backend__src__registrations__responses__ValidationErrorResponse:
      properties:
        detail:
          items:
            $ref: >-
              #/components/schemas/backend__src__registrations__responses__ValidationErrorItem
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ValidationErrorResponse
    RegistrationsRegimeEnum:
      type: string
      enum:
        - STANDARD
        - SIMPLIFIED
      title: RegistrationsRegimeEnum
    ChangeRegimeStatusEnum:
      type: string
      enum:
        - REQUESTED
        - APPROVED
        - DONE
        - ACKNOWLEDGED
      title: ChangeRegimeStatusEnum
    CountryCodeEnum:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - CI
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - XK
        - ZZ_EU
      title: CountryCodeEnum
    FilingFrequencyEnum:
      type: string
      enum:
        - UNKNOWN
        - MONTHLY
        - QUARTERLY
        - SEMI_ANNUALLY
        - ANNUALLY
        - ANNUAL_FISCAL_YEAR
        - SEMI_MONTHLY
        - BI_MONTHLY
        - FOUR_MONTHLY
        - QUARTERLY_PREPAYMENT
      title: FilingFrequencyEnum
    RegistrationStatusEnum:
      type: string
      enum:
        - REGISTERED
        - PROCESSING
        - UNREGISTERED
        - DEREGISTERING
        - DEREGISTERED
        - VALIDATING
        - AWAITING_CLARIFICATION
      title: RegistrationStatusEnum
    OssTypeEnum:
      type: string
      enum:
        - UNION
        - NON_UNION
      title: OssTypeEnum
      description: Type of OSS registration.
    RegistrationCategoryEnum:
      type: string
      enum:
        - REGULAR
        - IMPORTED
        - DEREGISTRATION
      title: RegistrationCategoryEnum
    RegistrationTypeEnum:
      type: string
      enum:
        - EU_OSS
        - OTHER
      title: RegistrationTypeEnum
    backend__src__registrations__responses__ValidationErrorItem:
      properties:
        type:
          type: string
          title: Type
          description: |-
            Validation issues, such as missing required
                                fields or invalid field values.
        loc:
          items:
            type: string
          type: array
          title: Loc
          description: Location of error
        msg:
          type: string
          title: Msg
          description: Error message
        input:
          title: Input
          description: Invalid input value
        ctx:
          additionalProperties: true
          type: object
          title: Ctx
          description: Additional context
      type: object
      required:
        - type
        - loc
        - msg
        - input
        - ctx
      title: ValidationErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    CustomHeader:
      type: apiKey
      in: header
      name: x-organization-id

````